## Special UPnP types Special UPnP types — Extra types for use when calling UPnP actions. |

## Types and Values

#define | GUPNP_TYPE_BIN_BASE64
#define | GUPNP_TYPE_BIN_HEX
#define | GUPNP_TYPE_DATE
#define | GUPNP_TYPE_DATE_TIME
#define | GUPNP_TYPE_DATE_TIME_TZ
#define | GUPNP_TYPE_TIME
#define | GUPNP_TYPE_TIME_TZ
#define | GUPNP_TYPE_URI
#define | GUPNP_TYPE_UUID

## Description

These GTypes are used to marshal to and from string data to particular UPnP types when invoking actions on a GUPnPServiceProxy.

## Functions

## Types and Values

### GUPNP_TYPE_BIN_BASE64

    #define             GUPNP_TYPE_BIN_BASE64

A string type containing Base-64 encoded binary data.

### GUPNP_TYPE_BIN_HEX

    #define             GUPNP_TYPE_BIN_HEX

A string type containing binary hexadecimal encoded binary data.

### GUPNP_TYPE_DATE

    #define             GUPNP_TYPE_DATE

A string type representing a date in ISO 8601 format with no time or timezone.

### GUPNP_TYPE_DATE_TIME

    #define             GUPNP_TYPE_DATE_TIME

A string type representing a date in ISO 8601 format with optional time but no timezone.

### GUPNP_TYPE_DATE_TIME_TZ

    #define             GUPNP_TYPE_DATE_TIME_TZ

A string type representing a date in ISO 8601 format with optional time and timezone.

### GUPNP_TYPE_TIME

    #define             GUPNP_TYPE_TIME

A string type representing a time in ISO 8601 format with no date or timezone.

### GUPNP_TYPE_TIME_TZ

    #define             GUPNP_TYPE_TIME_TZ

A string type representing a time in ISO 8601 format with optional timezone and no date.

### GUPNP_TYPE_URI

    #define             GUPNP_TYPE_URI

A string type representing an Universal Resource Indentifier.

### GUPNP_TYPE_UUID

    #define             GUPNP_TYPE_UUID

A Universally Unique ID represented as a hexadecimal-encoded string.